Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie
Toon posts:

Oracle verplicht licentie voor commercieel Java in 2019?

Pagina: 1
Acties:

Onderwerpen

Vraag


  • Daanoz
  • Registratie: oktober 2007
  • Laatst online: 24-08 21:32
(niet direct een programming vraag, maar gezien het hier gaat over Java toolchain, misschien de beste doelgroep?)

Vandaag bij het updaten naar de laatste JDK kreeg ik een mooie melding dat indien ik commercieel gebruik maak van de JDK tooling hier (mogelijk?) een licentie voor moet worden aangeschaft. Het linkje van de melding brengt je naar deze pagina: https://www.oracle.com/java/java-se-subscription.html.

Ik probeer er achter te komen wat nu precies de regels worden, mag het wel met beperkte functionaliteit (met name profiling/performance tools lijken onder commercieel te vallen)? Heeft dit alleen betrekking tot de JDK? Is het alleen van toepassing bij distributie? Als we een verouderde versie (8 of lager) gebruiken lijkt die vrijgesteld te zijn?

Een aantal andere reads:
- https://www.aspera.com/en...or-java-starting-in-2019/
- https://www.reddit.com/r/...mercial_licenses_in_2019/
- https://www.infoworld.com...ption-to-use-java-se.html

Doel van mijn topic? Java wordt natuurlijk bij veel bedrijven gebruikt, wat wordt de policy bij jullie op de werkvloer? Iedereen en alle servers een licentie? Blijven steken op een oude versie? Over op bijvoorbeeld OpenJDK?

Daanoz

Alle reacties


  • Hydra
  • Registratie: september 2000
  • Laatst online: 21-08 19:51
Gerco schreef op donderdag 8 november 2018 @ 16:10:
Zodra de vendors support hebben voor Java 9, 10, 11 of hoger zullen we daar naartoe overstappen, maar voorlopig werkt OpenJDK 8 prima.
Ik kan je wel echt vanuit mijn ervaring as Java dev aanraden om die migratie (mits vendors e.d. het supporten) wel te gaan doen en het ook bij te gaan houden. Hoe groter het 'gat' wordt hoe groter de pijn gaat worden. Je moet je realiseren dat er best een paar dingen veranderd zijn die 9+ niet backward compatible maken. Dit betekent ook dat je problemen gaat krijgen met versies van libraries e.d. die niet werken. 11 is de nieuwe LTS versie en gaat voorlopig wel gesupport worden, ook door vendors.

https://niels.nu

Pagina: 1


OnePlus 7 Pro (8GB intern) Nintendo Switch Lite LG OLED C9 Google Pixel 3a XL FIFA 19 Samsung Galaxy S10 Sony PlayStation 5 Smartphones

'14 '15 '16 '17 2018

Tweakers vormt samen met Tweakers Elect, Hardware Info, Autotrack, Nationale Vacaturebank, Intermediair en Independer de Persgroep Online Services B.V.
Alle rechten voorbehouden © 1998 - 2019 Hosting door True